redis集群ruby安装及升级版本

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/Ray0812/article/details/82186251
  • 默认安装系统自带ruby版本

yum -y install ruby ruby-devel rubygems rpm-build

  • 查看ruby版本
[root@izwz9abi62nwo4rsbqctrfz redis_cluster]# ruby -v
ruby 2.0.0p648 (2015-12-16) [x86_64-linux]
  • 安装redis与ruby的连接
[root@izwz9abi62nwo4rsbqctrfz redis_cluster]# gem install redis

安装连接失败 ruby版本过低

  • 利用RVM升级ruby版本

RVM需要通过CRUL来进行下载,那么我们要先下载CUEL

[root@izwz9abi62nwo4rsbqctrfz redis_cluster]#  yum install curl

安装rvm 

​
[root@izwz9abi62nwo4rsbqctrfz /]# gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3

[root@izwz9abi62nwo4rsbqctrfz redis_cluster]#  curl -L get.rvm.io | bash -s stable

使用source让当前shell读入路径为" /usr/local/rvm/scripts/rvm "(路径可以自定义)的shell文件并依次执行文件中的所有语句,并重新执行刚修改的初始化文件,使之立即生效,而不必注销并重新登录

[root@izwz9abi62nwo4rsbqctrfz /]#   source /usr/local/rvm/scripts/rvm
[root@izwz9abi62nwo4rsbqctrfz /]# rvm list konwn

选择需要的版本安装

[root@izwz9abi62nwo4rsbqctrfz /]# rvm install 2.5.1
[root@izwz9abi62nwo4rsbqctrfz /]# rvm use 2.5.1
Using /usr/local/rvm/gems/ruby-2.5.1

查看版本

[root@izwz9abi62nwo4rsbqctrfz /]# gem -v
2.7.7
[root@izwz9abi62nwo4rsbqctrfz /]# ruby -v
ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux]
[root@izwz9abi62nwo4rsbqctrfz /]#

安装redis与ruby的连接

[root@izwz9abi62nwo4rsbqctrfz /]# gem install redis
Fetching: redis-4.0.2.gem (100%)
Successfully installed redis-4.0.2
Parsing documentation for redis-4.0.2
Installing ri documentation for redis-4.0.2
Done installing documentation for redis after 0 seconds
1 gem installed

 

 

展开阅读全文

没有更多推荐了,返回首页